AOMedia AV1 Codec: aom_image Struct Reference

| AOMedia AV1 Codec

aom_image Struct Reference

Image Descriptor. More...

`#include <aom_image.h>`

## Data Fields
aom_img_fmt_t | fmt
aom_color_primaries_t | cp
aom_transfer_characteristics_t | tc
aom_matrix_coefficients_t | mc
int | monochrome
aom_chroma_sample_position_t | csp
aom_color_range_t | range
unsigned int | w
unsigned int | h
unsigned int | bit_depth
unsigned int | d_w
unsigned int | d_h
unsigned int | r_w
unsigned int | r_h
unsigned int | x_chroma_shift
unsigned int | y_chroma_shift
unsigned char * | planes [3]
int | stride [3]
size_t | sz
int | bps
int | temporal_id
int | spatial_id
void * | user_priv
| The following member may be set by the application to associate data with this image.
unsigned char * | img_data
int | img_data_owner
int | self_allocd
aom_metadata_array_t * | metadata
void * | fb_priv

## Detailed Description

Image Descriptor.

## Field Documentation

## ◆ fmt

aom_img_fmt_t aom_image::fmt

Image Format

## ◆ cp

aom_color_primaries_t aom_image::cp

CICP Color Primaries

## ◆ tc

aom_transfer_characteristics_t aom_image::tc

CICP Transfer Characteristics

## ◆ mc

aom_matrix_coefficients_t aom_image::mc

CICP Matrix Coefficients

## ◆ monochrome

int aom_image::monochrome

Whether image is monochrome

## ◆ csp

aom_chroma_sample_position_t aom_image::csp

chroma sample position

## ◆ range

aom_color_range_t aom_image::range

Color Range

## ◆ w

unsigned int aom_image::w

Stored image width

## ◆ h

unsigned int aom_image::h

Stored image height

## ◆ bit_depth

unsigned int aom_image::bit_depth

Stored image bit-depth

## ◆ d_w

unsigned int aom_image::d_w

Displayed image width

## ◆ d_h

unsigned int aom_image::d_h

Displayed image height

## ◆ r_w

unsigned int aom_image::r_w

Intended rendering image width

## ◆ r_h

unsigned int aom_image::r_h

Intended rendering image height

## ◆ x_chroma_shift

unsigned int aom_image::x_chroma_shift

subsampling order, X

## ◆ y_chroma_shift

unsigned int aom_image::y_chroma_shift

subsampling order, Y

## ◆ planes

unsigned char* aom_image::planes[3]

pointer to the top left pixel for each plane

## ◆ stride

int aom_image::stride[3]

Stride between rows for each plane

Note
  With planar formats, `stride`[AOM_PLANE_U] must be the same as `stride`[AOM_PLANE_V].

## ◆ sz

size_t aom_image::sz

data size

## ◆ bps

int aom_image::bps

bits per sample (for packed formats)

## ◆ temporal_id

int aom_image::temporal_id

Temporal layer Id of image

## ◆ spatial_id

int aom_image::spatial_id

Spatial layer Id of image

## ◆ img_data

unsigned char* aom_image::img_data

private

## ◆ img_data_owner

int aom_image::img_data_owner

private

## ◆ self_allocd

int aom_image::self_allocd

private

## ◆ metadata

aom_metadata_array_t* aom_image::metadata

Metadata payloads associated with the image.

## ◆ fb_priv

void* aom_image::fb_priv

Frame buffer data associated with the image.

The documentation for this struct was generated from the following file:

- aom/aom_image.h